<?php
	/*
	 *
	 * 2003 - 2020 @ Yal Publicidad - YGE::intalacion
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 */
	 
	  /* Autorizo acceso */
		defined( 'MSai' ) or die( '<h2>No dispones de acceso<h2>' );
		
	//** Funcion para instalar tema Weby+ 
	function actualizar_nucleo( $tmp_name, $tmp_path ){
			
			$tmp_index	= false;
			$tmp_info	= false;
			
			$instalar_sql= false;
			$tmp_sql	= array();
			
			$tmp		= '';
			
			if( is_uploaded_file($tmp_name) ){
						$zip = new ZipArchive;
						
						if ($zip->open($tmp_name) === TRUE) {
							///$sql = 1;
							for($i = 0; $i < $zip->numFiles; $i++) {
								$filename	= $zip->getNameIndex($i);
								$tmp		.= $filename . '<br>';
								
								// Leo sólo el nombre del archivo ej. carpeta/documento.txt retorna documento.txt
								$nombreArchivo = basename( $filename );
									// extraer partes de informacion
									$partes	= pathinfo($nombreArchivo);
									$extension	= ( isset( $partes["extension"] ) ) ? $partes["extension"] : NULL;
								
								if( basename($filename) == 'index.php')  $tmp_index = true;
								if( basename($filename) == 'iData.y' ){ $tmp_info = true; $tmp_info_path = $filename; }
								
								///if( strtolower($extension) == 'sql') { $instalar_sql = true; $tmp_sql[$sql] = $filename; $sql++; }
							}
							
							if( $tmp_index && $tmp_info ){
								$zip->extractTo( $tmp_path );
								
								// Comprobar si se instala bd
								/*if( $instalar_sql == true ){
									for( $j=1; $j <= count($tmp_sql); $j++ ){
										if( file_exists( $tmp_path . $tmp_sql[$j] ) )
											_mysql_importar( $tmp_path . $tmp_sql[$j] );
									}
								}*/
								
								return $tmp;
							}else{
								return 4;
							}
							
							$zip->close();
							
						} else {
							return 5;
						}
			}else{
				return -1;
			}
	}
	
	function acnucleo( $tmp_name, $tmp_path ){
		
			$tmp_index	= false;
			$tmp_info	= false;
			
			$tmp		= '';
			
						$zip = new ZipArchive;
						
						if ($zip->open($tmp_name) === TRUE) {
							
							for($i = 0; $i < $zip->numFiles; $i++) {
								$filename	= $zip->getNameIndex($i);
								$tmp		.= $filename . '<br>';
								
								// Leo sólo el nombre del archivo ej. carpeta/documento.txt retorna documento.txt
								$nombreArchivo = basename( $filename );
									// extraer partes de informacion
									$partes	= pathinfo($nombreArchivo);
									$extension	= ( isset( $partes["extension"] ) ) ? $partes["extension"] : NULL;
								
								if( basename($filename) == 'index.php')  $tmp_index = true;
								if( basename($filename) == 'iData.y' ){ $tmp_info = true; $tmp_info_path = $filename; }
							}
							
							if( $tmp_index && $tmp_info ){
								$zip->extractTo( $tmp_path );
								
								return $tmp;
							}else{
								return 4;
							}
							
							$zip->close();
							
						} else {
							return 5;
						}
	}
	
	$path		= YPATH . YDS;
	$path_acsis	= $path . 'ypanel/.as/tmp/acsis.zip';
	$actualizar	= false;
	
		if( isset( $_FILES["subirpc"]["tmp_name"] ) ){	
				$insNucleo= actualizar_nucleo( $_FILES["subirpc"]["tmp_name"], $path );
				$actualizar	= true;	
		}elseif( isset( $_POST['dl'] ) && $_POST['dl'] == '1' ) {
				$insNucleo= acnucleo( $path_acsis, $path );
				$actualizar	= true;	
		}else{ msg_error( LNG::etiqueta( 'msg_final_noacceso' ), NULL, 'alert alert-danger text-center' ); }
		
			
		$YGE_titulo_h1 = LNG::etiqueta( 'subti_6' );
		
		if( $actualizar ) {
			
				if( $insNucleo == -1 ){
					msg_error( 'Instalación denegada.', NULL, 'alert alert-danger text-center' );
				}elseif( $insNucleo == 4 ){
					msg_error( 'El formato del tema que desea instalar es incorrecto.', NULL, 'alert alert-danger text-center' );
				}elseif( $insNucleo == 5 ){
					msg_error( 'El formato es incorrecto o el zip está dañado.', NULL, 'alert alert-danger text-center' );
				}else{
					msg_error( LNG::etiqueta( 'msg_final_ok' ), $icon = 'fa fa-check-circle', $class = 'alert alert-success text-center' );
					
					$YGE_html .= '-- Ruta de instalacion: ' . $path;
					$YGE_html .= '<div style="background:#f5f5f5;border:1px solid #ccc;overflow:auto;padding:15px;max-height:250px;">' . $insNucleo . '</div>';
					
					$YGE_lnk_btn_1		= './';
					$YGE_btn_1			= LNG::etiqueta( 'boton_finalinstal' );
				}
				
		}
?>